using e_suite.API.Common;
using e_suite.UnitTestCore;
using UserManager.UnitTests.Repository;

namespace UserManager.UnitTests.Helpers;

public class UserManagerMaintenanceTestBase : TestBase
{
    protected FakeUserManagerRepository UserManagerRepository { get; set; } = null!;
    protected IUserManagerMaintenance UserManagerManagerMaintenance { get; set; } = null!;

    public override async Task Setup()
    {
        await base.Setup();
        
        UserManagerRepository = new FakeUserManagerRepository(_fakeClock);

        UserManagerManagerMaintenance = new e_suite.Modules.UserManager.UserManagerMaintenance(UserManagerRepository);
    }
}